CVE-2024-23832

CVSS 3.1 Score 9.4 of 10 (high)

Details

Published Feb 1, 2024
Updated: Feb 9, 2024
CWE ID 290

Summary

CVE-2024-23832 is a vulnerability affecting Mastodon, a free and open-source social network server based on ActivityPub. The vulnerability allows attackers to impersonate and take over remote accounts due to insufficient origin validation in all versions of Mastodon prior to 3.5.17, as well as certain versions of 4.0.x, 4.1.x, and 4.2.x. The danger posed to an organization is high, with a base severity rating of CRITICAL and a base score of 9.4 out of 10. To remediate the vulnerability, organizations should update their Mastodon installations to version 3.5.17 or newer for earlier versions, and version 4.0.13, 4.1.13, or 4.2.5 for affected versions in the respective branches.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2024-23832 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options